Subject: bug#20522: 25.0.50; ‘C-u C-x =’ output, ‘to input’ field

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 May 2015 17:45:18 +0300

> From: Ivan Shmakov <[email-masked]>
> Date: Thu, 07 May 2015 07:10:23 +0000
> 
> --- a/lisp/descr-text.el
> +++ b/lisp/descr-text.el
> @@ -618,7 +618,9 @@ defun describe-char (pos &optional buffer)
>                                     'help-args '(,current-input-method))
>                                  "input method")
>                          (list
> -                         "type \"C-x 8 RET HEX-CODEPOINT\" or \"C-x 8 RET 
> NAME\"")))))
> +                          (format
> +                           "type \"C-x 8 RET %04x\" or \"C-x 8 RET %s\""
                                                ^^^^
I see no need to tell users to type at least 4 hex digits: "C-x 8 RET"
accepts even one digit.  So I think we should use %x here.

> +                           char (get-char-code-property char 'name)))))))

Not every Unicode codepoint has a name, so get-char-code-property
could return nil.  E.g., try with any codepoint between zero and #x1f,
inclusive.  When that happens, we should try 'old-name' instead, and
if that returns nil as well (try #x99, for example), I think the "by
name" part should be omitted from the output of describe-char.

Thanks.